var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import { jsx as _jsx } from "react/jsx-runtime";
import * as React from 'react';
import classNames from 'classnames';
import "./style/switch-button.css";
var prefixCls = 'dmc-btn-switch';
export var SwitchButton = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var _a;

  var checked = props.checked,
      className = props.className,
      style = props.style,
      onClick = props.onClick,
      children = props.children,
      htmlType = props.htmlType,
      restProps = __rest(props, ["checked", "className", "style", "onClick", "children", "htmlType"]);

  var classes = classNames(prefixCls, (_a = {}, _a[prefixCls + "-checked"] = checked, _a), className);
  return _jsx("button", __assign({}, restProps, {
    type: htmlType,
    ref: ref,
    className: classes,
    onClick: onClick,
    style: style
  }, {
    children: children
  }), void 0);
});
SwitchButton.displayName = 'SwitchButton';
SwitchButton.defaultProps = {
  htmlType: 'button'
};
export default SwitchButton;
var SwitchButtonMemo = /*#__PURE__*/React.memo(SwitchButton);
SwitchButtonMemo.displayName = 'SwitchButtonMemo';
export { SwitchButtonMemo };

